<template>
	<div>
		<div class="row d-flex align-items-center">
			<div class="col-6">
				<a-breadcrumb>
				    <a-breadcrumb-item>{{ department_name }}</a-breadcrumb-item>
				    <a-breadcrumb-item>{{ user.full_name }}</a-breadcrumb-item>
				</a-breadcrumb>
			</div>
			<div class="col-6 d-flex justify-content-end">
				<a-button-group>
			      <a-button type="primary" icon="arrow-left" @click="$router.push({ name: 'UsersPage' })">Назад</a-button>
			      <a-button type="primary" icon="edit" @click="$router.push({ name: 'editUserPage', params: { id: user.id }})">Изменить</a-button>
			    </a-button-group>
			</div>
			<div class="col-12" v-if="$store.state.user.id === $route.params.id">
				<strong>
					Привет {{ user.f_name }}! Это твой профиль.
				</strong>
			</div>
		</div>
		<div class="row mt-3">
			<div class="col-3">
				<img :src="$store.state.api.root+user.avatar" :style="{ width: '100%' }">
			</div>
			<div class="col-9">
				<p>
					<strong>Должность: </strong>{{ user.position }}
				</p>
				<p>
					<strong>Email: </strong><a :href="'mailto:'+user.work_email">{{ user.work_email }}</a>
				</p>
				<p>
					<strong>Фамилия: </strong>{{ user.f_name }}
				</p>
				<p>
					<strong>Имя: </strong>{{ user.l_name }}
				</p>
				<p>
					<strong v-if="user.m_name != ''">Отчество: </strong>{{ user.m_name }}
				</p>
				<p>
					<strong>Мобильный телефон: </strong> {{ user.mob_phone }}
				</p>
				<p>
					<strong>Рабочий телефон: </strong> {{ user.work_phone }}
				</p>
			</div>
		</div>
	</div>
</template>

<script type="text/javascript">
	export default {
		data () {
			return {
				user: '',
				department_name: ''
			}
		},
		created () {
			this.$http.get(this.$store.state.api.url+'getUser/'+this.$route.params.id)
			.then(this.loadDataSuccess, this.loadDataError);
		},
		methods: {
			loadDataSuccess (res) {
				this.user = res.body;
				this.department_name = res.body.department.name;
			},
			loadDataError (err) {
				console.log(err);
			}
		}
	}
</script>